import Taro, { Component } from '@tarojs/taro'
import { View, Button, Text,Image } from '@tarojs/components'


import './recommondShop.scss'



class recommondShop extends Component {

    config = {
        navigationBarTitleText: 'recommondShop'
    }
    
    componentWillReceiveProps(nextProps) {
        console.log(this.props, nextProps)
    }

    componentWillUnmount() { }

    componentDidShow() { }

    componentDidHide() { }

    render() {
        
        const title = this.props.shop.shop_name
        const imgUrl = 'http://192.168.1.230/' + this.props.shop.shop_logo
        const price = this.props.shop.goods[0].goods_price
        const ProductName = this.props.shop.goods_name
        const address = this.props.shop.shop_address
        const distance = this.props.shop.distance
        return (
            <View className='shop-list-box'>
                <View className='header'>
                    <View className='title'>
                        {title}
                    </View>
                    <View className='ask-button'>
                    <Button>咨询</Button>
                    </View>
                </View>
                <View className='body'>
                    <View className='shop-img'>
                        <Image
                            src={imgUrl}
                        />
                    </View>
                    <View className='details'>
                        <View><Text>商品:{ProductName}</Text> </View>
                        <View><Text>价格:{price}</Text></View>
                    </View>
                </View>
                <View className='footer'>

                    <View className='address'><Text>{address}</Text> </View>
                    <View className='distance'><Text>{distance}</Text></View>
                   
                </View>
            </View>
        )
    }
}

export default recommondShop
